Subject: Re: linux-next: manual merge of the uprobes tree with the tip tree

From: Srikar Dronamraju <[email-masked]>
Date: Wed, 14 Mar 2012 10:25:44 +0530

> The linux-next merge of the uprobes tree gets several conflicts against
> the tip tree because the same patches appear in both threes and there are
> further changes to some files in the uprobes tree.
> 
> Merging uprobes/for-next (1fe509b uprobes/core: Handle breakpoint and singlestep exception.)
> CONFLICT (add/add): Merge conflict in kernel/events/uprobes.c
> CONFLICT (content): Merge conflict in kernel/events/Makefile
> CONFLICT (add/add): Merge conflict in include/linux/uprobes.h
> CONFLICT (add/add): Merge conflict in arch/x86/kernel/uprobes.c
> CONFLICT (add/add): Merge conflict in arch/x86/include/asm/uprobes.h
> 
> The easiest way to remove these conflicts would be for you to rebase the
> uprobes tree onto the perl/uprobes branch of the tip tree (I assume that
> all the uprobes code will eventually be merged to Linus via the tip tree)
> or a subset of that branch that is the common set of patches.

Okay, I will go with this suggestion. Infact this is actually easier for
me.

-- 
Thanks and Regards
Srikar